Bug 129575 - Kernel Oops: gnbd module reload after gfs module loads
Kernel Oops: gnbd module reload after gfs module loads
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-10 11:03 EDT by Derek Anderson
Modified: 2010-01-11 21:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-31 11:24:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-08-10 11:03:08 EDT
Description of problem:

1. modprobe gnbd
2. rmmod gnbd
3. modprobe gfs
4. modprobe gnbd

Result:
Unable to handle kernel paging request at virtual address e02f7798
 printing eip:
c01aa741
*pde = 014ed067
Oops: 0002 [#1]
Modules linked in: gnbd gfs lock_harness ipv6 parport_pc lp parport
autofs4 sunrpc e1000 floppy sg microcode dm_mod uhci_hcd ehci_hcd
button battery asus_acpi ac ext3 jbd qla2300 qla2xxx scsi_transport_fc
sd_mod scsi_mod
CPU:    0
EIP:    0060:[<c01aa741>]    Not tainted
EFLAGS: 00010282   (2.6.7)
EIP is at kobject_add+0xb1/0xf0
eax: c0328008   ebx: c0328000   ecx: e02f7798   edx: e032f068
esi: c0328048   edi: e032f04c   ebp: e032ea14   esp: c8a01f2c
ds: 007b   es: 007b   ss: 0068
Process modprobe (pid: 4856, threadinfo=c8a00000 task=c0c47230)
Stack: e032f04c e032f044 e032ea00 c15ac800 c01ff9ce e032f04c e032f08c
c01aa5e4
       e032f044 e032f044 e032f038 00000000 c15ac800 e00e223b e032f08c
e032c87a
       00000000 e032f020 00000000 e032f000 e032f008 00000000 00000246
e031a48c
Call Trace:
 [<c01ff9ce>] class_device_add+0x5e/0x120
 [<c01aa5e4>] kobject_init+0x24/0x40
 [<e00e223b>] gnbd_init+0x1fb/0x490 [gnbd]
 [<c012e4af>] sys_init_module+0xef/0x1d0
 [<c0105cad>] sysenter_past_esp+0x52/0x71

Code: 89 11 89 4a 04 8b 47 28 8b 18 8d 4b 48 89 c8 ba ff ff 00 00


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ben Marzinski 2004-08-17 14:51:29 EDT
This was me not correctly cleaning up the sysfs files.  It is fixed int
the newest rpm code, version 1.0pre1
Comment 2 Corey Marthaler 2004-08-31 11:24:59 EDT
fix verified.

Note You need to log in before you can comment on or make changes to this bug.